Package org.apache.sling.scripting.sightly.impl.compiler

## Class CompilerMessageImpl

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.CompilerMessageImpl

All Implemented Interfaces:
  `CompilerMessage`

    public class CompilerMessageImpl
    extends Object
    implements CompilerMessage

### Constructor Summary

Constructors
`CompilerMessageImpl​(String scriptName, String message, int line, int column)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn()` Returns the column number of the script text that generated this message.
`int` `getLine()` Returns the line number of the script text that generated this message.
`String` `getMessage()` Returns the compiler's message.
`String` `getScriptName()` Returns the script name associated with this message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerMessageImpl

    public CompilerMessageImpl​(String scriptName,
                               String message,
                               int line,
                               int column)

### Method Detail

#### getScriptName

    public String getScriptName()

Description copied from interface: `CompilerMessage`
Returns the script name associated with this message.

Specified by:
  `getScriptName` in interface `CompilerMessage`
Returns:
  the script name associated with this message

#### getMessage

    public String getMessage()

Description copied from interface: `CompilerMessage`
Returns the compiler's message.

Specified by:
  `getMessage` in interface `CompilerMessage`
Returns:
  the compiler's message

#### getLine

    public int getLine()

Description copied from interface: `CompilerMessage`
Returns the line number of the script text that generated this message.

Specified by:
  `getLine` in interface `CompilerMessage`
Returns:
  the line number of the script text that generated this message

#### getColumn

    public int getColumn()

Description copied from interface: `CompilerMessage`
Returns the column number of the script text that generated this message.

Specified by:
  `getColumn` in interface `CompilerMessage`
Returns:
  the column number of the script text that generated this message